Filter interviews by
I was interviewed in May 2021.
Round duration - 90 minutes
Round difficulty - Hard
Timing was 4 PM. Platform was good. Overall a good experience.
Here, to find out the maximum area of a hole, we need a maximum number of consecutive horizontal bars ‘maxHorizontal’ and a maximum consecutive number of vertical bars ‘maxVertical’ that are removed. Once, we can find them, as we know that ‘x’ number of horizontal bars can make ‘x’ + 1 hole free, so using this concept, our maximum hole area will be ('maxHorizonal' + 1) * ('maxVertical' + 1).
The approach is to find the minimum divisor from 1 to the maximum element of the input array. We keep on selecting the divisor until we get the result.
Tip 1 : Practice DS algo questions.
Tip 2 : Have some projects.
Tip 1 : Keep it short.
Tip 2 : Do not put false things.
I was interviewed in May 2021.
Round duration - 90 minutes
Round difficulty - Medium
Timing was 4 pm. Platform was really great .
Here, to find out the maximum area of a hole, we need a maximum number of consecutive horizontal bars ‘maxHorizontal’ and a maximum consecutive number of vertical bars ‘maxVertical’ that are removed. Once, we can find them, as we know that ‘x’ number of horizontal bars can make ‘x’ + 1 hole free, so using this concept, our maximum hole area will be ('maxHorizonal' + 1) * ('maxVertical' + 1).
The approach is to find the minimum divisor from 1 to the maximum element of the input array. We keep on selecting the divisor until we get the result.
Tip 1 : Practice data structure
Tip 2 : Atleast have one hands on project
Tip 1 : Be honest while adding things in assume
Tip 2 : Add only if you have good skills in particular subject
Top trending discussions
There were DSA questions and time limit was 1 hr
Factorial calculation using tabulation in dynamic programming
Create an array to store factorial values up to n
Initialize the array with base cases (0! = 1, 1! = 1)
Iterate from 2 to n and calculate factorial using previous values in the array
Return the factorial value at index n
posted on 1 Jul 2024
I applied via LinkedIn and was interviewed in Jan 2024. There were 2 interview rounds.
Basic Aptitude Question that are easily solvable
2 DSA Question with 20 min to each question
posted on 15 Sep 2021
I was interviewed in Jan 2021.
Round duration - 90 minutes
Round difficulty - Hard
Timing was 11 am. Platform was quite well.
Approach: We can start the traversal of the paths from the rat’s starting position, i.e. (0,0) keeping track of the visited cells during the traversal. We will recursively go through all the paths possible until the last index of the grid (destination) is reached, and add the path information using which the rat successfully reached the end.
Algorithm is as follows:
Maintain a visited array and try to explore all the possibilities with the help of backtracking.
Tip 1 : Practice data structure based questions.
Tip 2 : OOPS is very important.
Tip 3 : Prepare OS and DBMS for mcq.:
Tip 1 : Have some projects on resume.
Tip 2 : Keep it short.
I applied via campus placement at Indian Institute of Technology (IIT), Mandi and was interviewed in Jul 2023. There was 1 interview round.
posted on 16 Sep 2021
I was interviewed in Dec 2020.
Round duration - 90 minutes
Round difficulty - Easy
I used DFS from every unvisited node. There is a cycle in a graph only if there is a back edge present in the graph.
To find the back edge to any of its ancestor keep a visited array and if there is a back edge to any visited node then there is a loop and return true.
Traverse from right and find the first item that is not following the descending order.
Swap the found character with closest greater (or smallest greater) element on right side of it.
After swapping, sort the string after the position of character found.
Round duration - 60 minutes
Round difficulty - Easy
I gave him two three approaches.
Brute force
using utility class
using in-order traversal:
Tip 1 : Prepare Data Structures
Tip 2 : Solve atleast 300-400 problems
Tip 3 : Prepare computer science subjects for solving MCQ's
Tip 1 : Projects around oops would be great
Tip 2 : Be confident about everything you write
I applied via Referral and was interviewed before Sep 2023. There were 3 interview rounds.
Basic apti test including topics from dbms cn oop os and 2 coding q
Leetcode hard hashmap problem was given in this round
1 on 1 with director with discussions on dbms etc
posted on 14 Sep 2021
I was interviewed in Nov 2020.
Round duration - 90 minutes
Round difficulty - Medium
The test was scheduled at 2:30 PM, IST. The test was conducted online, due to the ongoing pandemic situation. Webcam was required to be switched on during the complete duration of the test. I had solved 2/2 coding questions with all test cases successfully passing. Out of the 10 MCQ questions, I had done 6. Around 90 students sat for the online coding round, 19 were shortlisted for the interview. Those who had solved both coding questions were called for interview.
Step 1: Since we had to see adjacent students' marks, and then decide the candy to be given, dynamic programming struck my mind.
Step 2: We need to look in both sides, left as well as right. So I constructed an array, say left, in the first traversal.
This was a simple DP based problem. Construct a DP array of size n+1. And fill the array as follows:
For i between 2 to n:
1). If i is even: then we can reach that i by two ways, one is by adding 1 to i-1, another by doubling i/2, and add their respective costs.
Therefore, dp[i] = min(dp[i-] + A, dp[i/2] + B);
2). If i is odd. This is a bit tricky, one option is adding one to i-1. Since this is not an even no. so we cant d...
Round duration - 60 minutes
Round difficulty - Medium
This was a pure DSA based round. Two questions were asked in this round. The interviewer was quite good, and helped in between.
I had solved this question earlier, thanks to Coding Ninja's Codezen. I was able to give the optimised solution. I used the concept of deque. The question was based on the concept of sliding window.
I started with the naive approach. I suggested storing the location of all 1s in an array. Then traverse over this array and make required changes in the matrix.
The interviewer asked me to optimise it further. I suggested, when we encounter a one, start making changes in the matrix as: if m[i][j] is 0 then change it to 1, else change the value to -1, so that we know a 1 was present here and change its respective column...
Round duration - 75 minutes
Round difficulty - Medium
This round was also again focused on DSA. Two interviewers were present. This round was very extensive and everything was asked in depth as well as they asked to write the codes as well for all the questions. I was also asked to explain my projects, they were based on ML. Many aspects of OOPs, POP, memory allocation was asked as well.
first found the value of f(0). Now what we need to do is assign last element the index 0, then in next iteration, the 2nd last element as index 0 and last as index 1.
So i ran a loop from 1 to n, and i in each iteration, the last i elements were assigned indices starting from 0. After that, continuing from the last index that was assigned to the last element, we start picking elements from the start.
Sum these values and
This was a simple BFS traversal problem. I was also asked to write the code for the same. I was able to code it successfully.
Tip 1 : Primary skill to be developed is problem solving, i.e proficient in data structures and algorithms.
Tip 2 : After this, practice competitive programming, start giving contests, this will make you faster.
Tip 3 : Then take any technology, e.g., machine learning, web development etc., make few but good projects using these technologies.
Tip 1 : Make it short, 1-2 pages max. Only mention those projects that you know the best.
Tip 2 : While mentioning projects, do mention numbers in them, like what was the accuracy(in case of ML projects).
Member Technical Staff
63
salaries
| ₹6.5 L/yr - ₹21.6 L/yr |
Senior Member of Technical Staff
49
salaries
| ₹11 L/yr - ₹29 L/yr |
Software Developer
22
salaries
| ₹6 L/yr - ₹19 L/yr |
Software Engineer
20
salaries
| ₹6 L/yr - ₹21 L/yr |
Product Manager
19
salaries
| ₹16 L/yr - ₹44 L/yr |
Freshworks
Capillary Technologies
InMobi
CleverTap